> For the complete documentation index, see [llms.txt](https://docs.liquid-gears.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.liquid-gears.com/guides/linear-mobile-apps.md).

# Linear Mobile Apps

When you design a new mobile app, one of the first chocies to make is the type of navigation it should support: linear or tabbed. This page explains all you need to know about linear apps. For more information on tabbed apps, please refer to [the relevant documentation page](/guides/tabbed-mobile-apps.md).

Linear Mobile Apps have a single navigation stack onto which new routes can be pushed. This stack can be  walked backwards by using common controls to do so on both iOS and Android.

They also have support for an optional toolbar presented at the bottom of their screen, within which secondary actions can be presented to the user. A typical toolbar would include between one and five buttons which can trigger events such as navigation event or iwa/trigger\_action events to, you guessed it, trigger any behaviour in the currently displayed IWA.

## Example configuration

```javascript
{
    // ...
    "navigation": {
        "type": "linear",
        "navigation_options": {
            "linear": {
                "launch_data": {
                    "webapp_id": "main_webapp"
                }
            }
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.liquid-gears.com/guides/linear-mobile-apps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
